- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeDocument::SProperties Struct Reference

Properties of a document. More...

List of all members.

## Public Member Functions

- SProperties ()

## Public Attributes

- IpeString iTitle
- IpeString iAuthor
- IpeString iSubject
- IpeString iKeywords
- IpeString iPreamble
- bool iFullScreen
- bool iCropBox
- bool iNumberPages
- IpeString iCreated
- IpeString iModified
- IpeString iCreator

## Detailed Description

Properties of a document.

## Constructor & Destructor Documentation

IpeDocument::SProperties::SProperties | ( |  | ) |

Constructor clears the boolean flags.

## Member Data Documentation

IpeString IpeDocument::SProperties::iCreated

Date/time in PDF style "D:20010428191400" format.

IpeString IpeDocument::SProperties::iCreator

Program that created this document (e.g. "Ipe 7.5").

The documentation for this struct was generated from the following files:

- ipedoc.h
- ipedoc.cpp